> For the complete documentation index, see [llms.txt](https://zloma-scripts.gitbook.io/zloma-scripts/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://zloma-scripts.gitbook.io/zloma-scripts/zloma_hud-free-escrow/api-reference/events.md).

# Events

## Client Events

### `zloma_hud:client:toggle`

Shows or hides the HUD.

```lua
TriggerEvent("zloma_hud:client:toggle", true)
TriggerEvent("zloma_hud:client:toggle", false)
```

### `zloma_hud:client:relieveStress`

Relieves local player stress.

```lua
TriggerEvent("zloma_hud:client:relieveStress", 10)
```

### `zloma_hud:client:addStress`

Adds local player stress.

```lua
TriggerEvent("zloma_hud:client:addStress", 10)
```

### `zloma_hud:client:setStress`

Sets local player stress.

```lua
TriggerEvent("zloma_hud:client:setStress", 50)
```

***

## Server Events

### `zloma_hud:server:relieveStress`

Relieves stress for the event source.

```lua
TriggerServerEvent("zloma_hud:server:relieveStress", 10)
```

### `zloma_hud:server:addStress`

Adds stress for the event source.

```lua
TriggerServerEvent("zloma_hud:server:addStress", 10)
```

### `zloma_hud:server:setStress`

Sets stress for the event source.

```lua
TriggerServerEvent("zloma_hud:server:setStress", 50)
```

### `hud:server:RelieveStress`

Compatibility event for resources that already call common HUD stress events.

```lua
TriggerServerEvent("hud:server:RelieveStress", 10)
```

### `zloma_hud:server:updateMileage`

Updates stored mileage for a plate.

```lua
TriggerServerEvent("zloma_hud:server:updateMileage", plate, mileage)
```

This is used internally by the mileage system.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://zloma-scripts.gitbook.io/zloma-scripts/zloma_hud-free-escrow/api-reference/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
